aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild.bat16
-rwxr-xr-xbuild.sh17
-rw-r--r--build.xml25
-rw-r--r--checkstyle.header65
-rwxr-xr-xexamples/embedding/build.bat66
-rw-r--r--examples/embedding/build.sh59
-rw-r--r--examples/embedding/build.xml20
-rwxr-xr-xexamples/mathml/build.bat67
-rw-r--r--examples/mathml/build.sh60
-rw-r--r--examples/mathml/build.xml19
10 files changed, 274 insertions, 140 deletions
diff --git a/build.bat b/build.bat
index 43ceff449..1c94f128e 100755
--- a/build.bat
+++ b/build.bat
@@ -1,5 +1,19 @@
@echo off
-rem $Id$
+REM Copyright 1999-2004 The Apache Software Foundation
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+REM
+REM $Id$
echo Apache FOP: Build System
echo --------------------------
diff --git a/build.sh b/build.sh
index c22b186a3..c0567e0bd 100755
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,22 @@
#!/bin/sh
+# Copyright 1999-2004 The Apache Software Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# $Id$
+
# This file should be executable.
+
echo
echo "Apache FOP: Build System"
echo "--------------------------"
diff --git a/build.xml b/build.xml
index 9f8f2182b..4ea0154eb 100644
--- a/build.xml
+++ b/build.xml
@@ -1,4 +1,19 @@
<?xml version="1.0"?>
+<!--
+ Copyright 1999-2004 The Apache Software Foundation
+
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+-->
<!-- ===========================================================================
* ================== *
@@ -151,7 +166,7 @@ list of possible build targets.
<property name="NAME" value="FOP"/>
<property name="version" value="1.0dev"/>
<filter token="version" value="${version}"/>
- <property name="year" value="1999-2003"/>
+ <property name="year" value="1999-2004"/>
<echo message="------------------- ${Name} ${version} [${year}] ----------------"/>
<echo message="See build.properties and build-local.properties for additional build settings"/>
@@ -480,7 +495,7 @@ list of possible build targets.
<attribute name="Class-Path" value="${manifest-classpath}"/>
<attribute name="Implementation-Title" value="${Name}"/>
<attribute name="Implementation-Version" value="${version}"/>
- <attribute name="Implementation-Vendor" value="Apache Software Foundation (http://xml.apache.org/fop/)"/>
+ <attribute name="Implementation-Vendor" value="The Apache Software Foundation (http://xml.apache.org/fop/)"/>
<attribute name="Build-Id" value="${ts} (${user.name} [${os.name} ${os.version} ${os.arch}, Java ${java.runtime.version}])"/>
</manifest>
</jar>
@@ -552,7 +567,7 @@ list of possible build targets.
<manifest>
<attribute name="Implementation-Title" value="${fop-transcoder.name}"/>
<attribute name="Implementation-Version" value="${fop-transcoder.version}"/>
- <attribute name="Implementation-Vendor" value="Apache Software Foundation (http://xml.apache.org/fop/)"/>
+ <attribute name="Implementation-Vendor" value="The Apache Software Foundation (http://xml.apache.org/fop/)"/>
<attribute name="Build-Id" value="${ts} (${user.name} [${os.name} ${os.version} ${os.arch}, Java ${java.runtime.version}])"/>
</manifest>
</jar>
@@ -589,7 +604,7 @@ list of possible build targets.
<manifest>
<attribute name="Implementation-Title" value="${fop-transcoder.name}"/>
<attribute name="Implementation-Version" value="${fop-transcoder.version}"/>
- <attribute name="Implementation-Vendor" value="Apache Software Foundation (http://xml.apache.org/fop/)"/>
+ <attribute name="Implementation-Vendor" value="The Apache Software Foundation (http://xml.apache.org/fop/)"/>
<attribute name="Build-Id" value="${ts} (${user.name} [${os.name} ${os.version} ${os.arch}, Java ${java.runtime.version}])"/>
</manifest>
</jar>
@@ -718,7 +733,7 @@ list of possible build targets.
version="true"
windowtitle="${NAME} API"
doctitle="Formatting Objects Processor (FOP)"
- bottom="Copyright &#169; ${year} Apache Software Foundation. All Rights Reserved."
+ bottom="Copyright ${year} The Apache Software Foundation. All Rights Reserved."
overview="${src.dir}/java/org/apache/fop/overview.html"
use="true"
failonerror="true">
diff --git a/checkstyle.header b/checkstyle.header
index 4b0666fad..d242c74ad 100644
--- a/checkstyle.header
+++ b/checkstyle.header
@@ -1,50 +1,15 @@
-/\*
- \* \$Id.*\$
- \* ============================================================================
- \* The Apache Software License, Version 1.1
- \* ============================================================================
- \*
- \* Copyright \(C\) 1999-2003 The Apache Software Foundation. All rights reserved.
- \*
- \* Redistribution and use in source and binary forms, with or without modifica-
- \* tion, are permitted provided that the following conditions are met:
- \*
- \* 1. Redistributions of source code must retain the above copyright notice,
- \* this list of conditions and the following disclaimer.
- \*
- \* 2. Redistributions in binary form must reproduce the above copyright notice,
- \* this list of conditions and the following disclaimer in the documentation
- \* and/or other materials provided with the distribution.
- \*
- \* 3. The end-user documentation included with the redistribution, if any, must
- \* include the following acknowledgment: "This product includes software
- \* developed by the Apache Software Foundation \(http://www.apache.org/\)."
- \* Alternately, this acknowledgment may appear in the software itself, if
- \* and wherever such third-party acknowledgments normally appear.
- \*
- \* 4. The names "FOP" and "Apache Software Foundation" must not be used to
- \* endorse or promote products derived from this software without prior
- \* written permission. For written permission, please contact
- \* apache@apache.org.
- \*
- \* 5. Products derived from this software may not be called "Apache", nor may
- \* "Apache" appear in their name, without prior written permission of the
- \* Apache Software Foundation.
- \*
- \* THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
- \* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
- \* FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
- \* APACHE SOFTWARE FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
- \* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES \(INCLU-
- \* DING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
- \* OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION\) HOWEVER CAUSED AND ON
- \* ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- \* \(INCLUDING NEGLIGENCE OR OTHERWISE\) ARISING IN ANY WAY OUT OF THE USE OF
- \* THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- \* ============================================================================
- \*
- \* This software consists of voluntary contributions made by many individuals
- \* on behalf of the Apache Software Foundation and was originally created by
- \* James Tauber <jtauber@jtauber.com>. For more information on the Apache
- \* Software Foundation, please see <http://www.apache.org/>.
- \*/ \ No newline at end of file
+\/*
+ * Copyright .*2004 The Apache Software Foundation.
+ *
+ * Licensed under the Apache License, Version 2.0 \(the "License"\);
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ *\/
diff --git a/examples/embedding/build.bat b/examples/embedding/build.bat
index 2ae5bf0a4..37630ae2e 100755
--- a/examples/embedding/build.bat
+++ b/examples/embedding/build.bat
@@ -1,34 +1,50 @@
@echo off
-
-echo Fop Build System
-echo ----------------
-
-if "%JAVA_HOME%" == "" goto error
-
-set LIBDIR=../../lib
-set LOCALCLASSPATH=%JAVA_HOME%\lib\tools.jar;%JAVA_HOME%\lib\classes.zip
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\ant.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xml-apis.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xercesImpl-2.2.1.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xalan-2.4.1.jar
-
-set ANT_HOME=%LIBDIR%
-
-echo Building with classpath %LOCALCLASSPATH%
-
-echo Starting Ant...
-
-%JAVA_HOME%\bin\java.exe -Dant.home=%ANT_HOME% -classpath "%LOCALCLASSPATH%" org.apache.tools.ant.Main %1 %2 %3 %4 %5
+REM Copyright 1999-2004 The Apache Software Foundation
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+REM
+REM $Id: build.bat,v 1.2 2004/02/27 19:32:25 jeremias Exp $
+
+echo Apache FOP: Build System
+echo --------------------------
+
+if "%JAVA_HOME%" == "" goto no_java_home
+if "%ANT_HOME%" == "" goto no_ant_home
+
+call %ANT_HOME%\bin\ant.bat %1 %2 %3 %4 %5 %6 %7 %8
goto end
-:error
-
+:no_java_home
echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.
+goto end
-:end
-
-rem set LOCALCLASSPATH=
+:no_ant_home
+echo ERROR: ANT_HOME not found in your environment.
+echo Please install Apache Ant first. FOP uses Ant as its build system.
+echo You can download Apache Ant from http://ant.apache.org
+echo 1. Download and install Ant
+echo 2. Set the ANT_HOME environment variable to the directory where you've
+echo placed Ant.
+echo 3. Add "%%ANT_HOME%%\bin" to your PATH so the "ant.bat" batch file
+echo can be executed from wherever needed.
+echo 4. (optional) Download JUnit and place junit-*.jar in %%ANT_HOME%%\lib.
+echo This enables the JUnit test cases.
+echo You will now be directed to the Apache Ant website...
+pause
+start http://ant.apache.org
+goto end
+:end
diff --git a/examples/embedding/build.sh b/examples/embedding/build.sh
index f835d05b5..3841d4b05 100644
--- a/examples/embedding/build.sh
+++ b/examples/embedding/build.sh
@@ -1,8 +1,25 @@
#!/bin/sh
+# Copyright 1999-2004 The Apache Software Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# $Id: build.sh,v 1.2 2004/02/27 19:32:25 jeremias Exp $
+
# This file should be executable.
+
echo
-echo "Fop Build System"
-echo "----------------"
+echo "Apache FOP: Build System"
+echo "--------------------------"
echo
if [ "$JAVA_HOME" = "" ] ; then
@@ -12,18 +29,32 @@ if [ "$JAVA_HOME" = "" ] ; then
echo "location of the Java Virtual Machine you want to use."
exit 1
fi
-LIBDIR=../../lib
-LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/ant.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xml-apis.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xercesImpl-2.2.1.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xalan-2.4.1.jar
-ANT_HOME=$LIBDIR
+if [ "$ANT_HOME" = "" ] ; then
+ echo "ERROR: ANT_HOME not found in your environment."
+ echo
+ echo "Please install Apache Ant first. FOP uses Ant as its build system."
+ echo "You can download Apache Ant from http://ant.apache.org"
+ echo "1. Download and install Ant"
+ echo "2. Set the ANT_HOME environment variable to the directory where you've"
+ echo " placed Ant."
+ echo "3. Add "\$ANT_HOME/bin" to your PATH so the "ant" script file"
+ echo " can be be executed from wherever needed."
+ echo "4. (optional) Download JUnit and place junit-*.jar in \$ANT_HOME/lib."
+ echo " This enables the JUnit test cases."
+ exit 1
+fi
-echo
-echo Building with classpath $LOCALCLASSPATH
-echo Starting Ant...
-echo
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+esac
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$ANT_HOME" ] &&
+ ANT_HOME=`cygpath --unix "$ANT_HOME"`
+fi
+"$ANT_HOME"/bin/ant "$@"
-$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$LOCALCLASSPATH" org.apache.tools.ant.Main $*
diff --git a/examples/embedding/build.xml b/examples/embedding/build.xml
index 9a259ba71..4ad0a13d6 100644
--- a/examples/embedding/build.xml
+++ b/examples/embedding/build.xml
@@ -1,8 +1,24 @@
<?xml version="1.0"?>
+<!--
+ Copyright 2002-2004 The Apache Software Foundation
+
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+-->
+<!-- $Id$ -->
<project default="compile" basedir=".">
<property name="Name" value="Fop Embedding Examples"/>
<property name="name" value="embedding"/>
- <property name="version" value="0.20.5cvs"/>
+ <property name="version" value="1.0dev"/>
<!-- compiler switches -->
<property name="debug" value="on"/>
<property name="optimize" value="off"/>
@@ -34,7 +50,7 @@
<target name="init">
<tstamp/>
<filter token="version" value="${version}"/>
- <property name="year" value="2002-2003"/>
+ <property name="year" value="2002-2004"/>
<echo message="------------------- ${Name} ${version} [${year}] ----------------"/>
</target>
<!-- =================================================================== -->
diff --git a/examples/mathml/build.bat b/examples/mathml/build.bat
index 96aa30a7f..7378db43e 100755
--- a/examples/mathml/build.bat
+++ b/examples/mathml/build.bat
@@ -1,35 +1,50 @@
@echo off
-
-echo MathML Build System
-echo ---------------------
-
-if "%JAVA_HOME%" == "" goto error
-
-set LIBDIR=..\..\lib
-set LOCALCLASSPATH=%JAVA_HOME%\lib\tools.jar;%JAVA_HOME%\lib\classes.zip
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\ant.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xml-apis.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xercesImpl-2.2.1.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xalan-2.4.1.jar
-
-set ANT_HOME=%LIBDIR%
-
-echo Building with classpath %LOCALCLASSPATH%
-
-echo Starting Ant...
-
-%JAVA_HOME%\bin\java.exe -Dant.home=%ANT_HOME% -classpath "%LOCALCLASSPATH%" org.apache.tools.ant.Main %1 %2 %3 %4 %5
+REM Copyright 1999-2004 The Apache Software Foundation
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+REM
+REM $Id$
+
+echo Apache FOP: Build System for MathML extension
+echo -----------------------------------------------
+
+if "%JAVA_HOME%" == "" goto no_java_home
+if "%ANT_HOME%" == "" goto no_ant_home
+
+call %ANT_HOME%\bin\ant.bat %1 %2 %3 %4 %5 %6 %7 %8
goto end
-:error
-
+:no_java_home
echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.
+goto end
-:end
-
-rem set LOCALCLASSPATH=
+:no_ant_home
+echo ERROR: ANT_HOME not found in your environment.
+echo Please install Apache Ant first. FOP uses Ant as its build system.
+echo You can download Apache Ant from http://ant.apache.org
+echo 1. Download and install Ant
+echo 2. Set the ANT_HOME environment variable to the directory where you've
+echo placed Ant.
+echo 3. Add "%%ANT_HOME%%\bin" to your PATH so the "ant.bat" batch file
+echo can be executed from wherever needed.
+echo 4. (optional) Download JUnit and place junit-*.jar in %%ANT_HOME%%\lib.
+echo This enables the JUnit test cases.
+echo You will now be directed to the Apache Ant website...
+pause
+start http://ant.apache.org
+goto end
-pause \ No newline at end of file
+:end
diff --git a/examples/mathml/build.sh b/examples/mathml/build.sh
index 986d3c1e3..c0a108825 100644
--- a/examples/mathml/build.sh
+++ b/examples/mathml/build.sh
@@ -1,7 +1,25 @@
#!/bin/sh
+# Copyright 1999-2004 The Apache Software Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# $Id$
+
+# This file should be executable.
+
echo
-echo "MathML Build System"
-echo "---------------------"
+echo "Apache FOP: Build System for MathML extension"
+echo "-----------------------------------------------"
echo
if [ "$JAVA_HOME" = "" ] ; then
@@ -11,20 +29,32 @@ if [ "$JAVA_HOME" = "" ] ; then
echo "location of the Java Virtual Machine you want to use."
exit 1
fi
-LIBDIR=../../lib
-LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/ant.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xml-apis.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xercesImpl-2.2.1.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xalan-2.4.1.jar
-ANT_HOME=$LIBDIR
-echo
-CP=$LOCALCLASSPATH
-echo Building with classpath $CP
+if [ "$ANT_HOME" = "" ] ; then
+ echo "ERROR: ANT_HOME not found in your environment."
+ echo
+ echo "Please install Apache Ant first. FOP uses Ant as its build system."
+ echo "You can download Apache Ant from http://ant.apache.org"
+ echo "1. Download and install Ant"
+ echo "2. Set the ANT_HOME environment variable to the directory where you've"
+ echo " placed Ant."
+ echo "3. Add "\$ANT_HOME/bin" to your PATH so the "ant" script file"
+ echo " can be be executed from wherever needed."
+ echo "4. (optional) Download JUnit and place junit-*.jar in \$ANT_HOME/lib."
+ echo " This enables the JUnit test cases."
+ exit 1
+fi
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+esac
-echo Starting Ant...
-echo
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$ANT_HOME" ] &&
+ ANT_HOME=`cygpath --unix "$ANT_HOME"`
+fi
+"$ANT_HOME"/bin/ant "$@"
-$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$CP" org.apache.tools.ant.Main $*
diff --git a/examples/mathml/build.xml b/examples/mathml/build.xml
index 78e84b514..872d11305 100644
--- a/examples/mathml/build.xml
+++ b/examples/mathml/build.xml
@@ -1,5 +1,20 @@
<?xml version="1.0"?>
-
+<!--
+ Copyright 2002-2004 The Apache Software Foundation
+
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+-->
+<!-- $Id$ -->
<!-- ===========================================================================
============================================================================ -->
@@ -27,7 +42,7 @@
<property name="name" value="mathml-fop"/>
<property name="version" value="0.1-CVS"/>
<filter token="version" value="${version}"/>
- <property name="year" value="2002"/>
+ <property name="year" value="2002-2004"/>
<echo message="------------------- ${Name} ${version} [${year}] ----------------"/>